<?php

namespace App\Http\Controllers\Owner\Group\Dto;

class GroupListDTO
{

    public static function validateData()
    {
        return [
            'DateStart' => 'required|string',
            'DateEnd'   => 'required|string',
            'OnlyTransfer' => 'in:1,2'
        ];
    }

    public function __construct(
        public string $DateStart,
        public string $DateEnd,
        public ?int $OnlyTransfer
    ) {
        $this->DateStart = $DateStart;
        $this->DateEnd = $DateEnd;
        $this->OnlyTransfer = $OnlyTransfer ?? 1;
    }
}
